<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        main {
            width: 100%;
        }

        div {
            width: 110px;
            height: 110px;
            margin: 10px;
            display: inline-block;
            position: relative;
        }

        #caja1 {
            background-color: rgb(77, 214, 77);
            border: 3px green solid;
            transition: 1s;
        }

        #caja1:hover {
            background-color: goldenrod;
        }

        #caja2 {
            background-color: rgb(255, 138, 138);
            border: 3px red solid;
            transition: 1s;
        }

        #caja2:hover {
            border: 10px black dotted;
        }

        #caja3 {
            background-color: rgb(122, 122, 255);
            border: 3px blue solid;
            transition: 1s;
        }

        #caja3:hover {
            min-width: 55px;
            width: 55px;
        }

        #caja4 {
            background-color: rgb(255, 225, 148);
            border: 3px goldenrod solid;
            transition: 1s;
        }

        #caja4:hover {
            height: 55px;
            min-height: 55px;
        }

        #caja5 {
            background-color: rgb(226, 104, 226);
            border: 3px purple solid;
            transition: 1s;
        }

        #caja5:hover {
            border-radius: 55px;
        }

        #caja6 {
            background-color: rgb(255, 255, 179);
            border: 3px yellow solid;
            transition: 1s;
        }

        #caja6:hover {
            transform: rotate(180deg);
        }

        #caja7 {
            background-color: rgb(99, 214, 99);
            border: 3px green solid;
            transition: 1s;
        }

        #caja7:hover {
            transform: rotate(180deg);
            border-radius: 55px;
            height: 55px;
            min-height: 55px;
            min-width: 55px;
            width: 55px;
            border: 10px black dotted;
            background-color: goldenrod;
        }
    </style>
</head>

<body>
    <main>
        <div id="caja1">A</div>
        <div id="caja2">B</div>
        <div id="caja3">C</div>
        <div id="caja4">D</div>
        <div id="caja5">E</div>
        <div id="caja6">F</div>
        <div id="caja7"></div>
    </main>

</body>

</html>